gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum These values identify the item type that a particular structure specifies. One should be careful when using Gnome.App.Create[Custom|Interp|WithData] methods with arrays containing BuilderData items, since their structures completely override the ones generated or supplied by the above methods.
- Field
  2.24.0.0
  Gnome.UIInfoType Specifies the builder data for the following entries, see code for further info.
- Field
  2.24.0.0
  Gnome.UIInfoType No more items, use it at the end of an array.
- Field
  2.24.0.0
  Gnome.UIInfoType Create a list of help topics, used in the Help menu.
- Field
  2.24.0.0
  Gnome.UIInfoType Almost like Subtree, but inserts items into the current menu or whatever, instead of making a submenu.
- Field
  2.24.0.0
  Gnome.UIInfoType Normal item, or radio item if it is inside a radioitems group.
- Field
  2.24.0.0
  Gnome.UIInfoType A configurable menu item.
- Field
  2.24.0.0
  Gnome.UIInfoType Radio item group.
- Field
  2.24.0.0
  Gnome.UIInfoType Separator line (menus) or blank space (toolbars).
- Field
  2.24.0.0
  Gnome.UIInfoType Item that defines a subtree/submenu.
- Field
  2.24.0.0
  Gnome.UIInfoType Item that defines a subtree/submenu, same as Subtree, but the texts should be looked up in the libgnome catalog.
- Field
  2.24.0.0
  Gnome.UIInfoType Toggle (check box) item.